org.jetlang.web

## Class HeaderReader<T>

- java.lang.Object
- - org.jetlang.web.HeaderReader<T>

    public class HeaderReader<T>
    extends Object

### Nested Class Summary

Nested Classes
`class` `HeaderReader.FirstLine`
`class` `HeaderReader.HeaderLine`
`class` `HeaderReader.ReadHeader`

### Field Summary

Fields
`static Charset` `ascii`

### Constructor Summary

Constructors
Constructor and Description
`HeaderReader(SocketChannel channel, org.jetlang.fibers.NioFiber fiber, org.jetlang.fibers.NioControls controls, HttpRequestHandler<T> handler, SessionFactory<T> sessionFactory, SessionDispatcherFactory<T> dispatcher)`

### Method Summary

All Methods Instance Methods Concrete Methods
`NioReader.State` `dispatchHttpRequest(HttpRequest headers)`
`org.jetlang.fibers.NioFiber` `getReadFiber()`
`void` `onClose()`
`NioReader.State` `start()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ascii

    public static final Charset ascii

### Constructor Detail

#### HeaderReader

    public HeaderReader(SocketChannel channel,
                        org.jetlang.fibers.NioFiber fiber,
                        org.jetlang.fibers.NioControls controls,
                        HttpRequestHandler<T> handler,
                        SessionFactory<T> sessionFactory,
                        SessionDispatcherFactory<T> dispatcher)

### Method Detail

#### start

    public NioReader.State start()

#### getReadFiber

    public org.jetlang.fibers.NioFiber getReadFiber()

#### onClose

    public void onClose()

#### dispatchHttpRequest

    public NioReader.State dispatchHttpRequest(HttpRequest headers)